# Generated by Django 2.2.7 on 2019-12-03 00:32

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):
    atomic = False
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('tests', '0007_auto_20191202_1711'),
    ]

    operations = [
        migrations.CreateModel(
            name='Registration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('registered', models.DateTimeField(default=django.utils.timezone.now)),
                ('opened_test', models.DateTimeField(blank=True, null=True)),
                ('submitted_tet', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.RenameModel(
            old_name='QuestionCategory',
            new_name='Category',
        ),
        migrations.RenameModel(
            old_name='TestSession',
            new_name='Session',
        ),
        migrations.RenameModel(
            old_name='TestQuestionCategory',
            new_name='TestCategory',
        ),
        migrations.RenameModel(
            old_name='TestSessionRegistrationQuestion',
            new_name='RegistrationQuestion',
        ),
        migrations.AlterField(
            model_name='registrationquestion',
            name='test_session',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tests.Registration'),
        ),
        migrations.DeleteModel(
            name='TestSessionRegistration',
        ),
        migrations.AddField(
            model_name='registration',
            name='questions',
            field=models.ManyToManyField(through='tests.RegistrationQuestion', to='tests.Question'),
        ),
        migrations.AddField(
            model_name='registration',
            name='taker',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
